Sentry Self-Hosted
- PATCH
- /workspaces
- /:workspace
- /projects
- /:project_name
- /pipelines
- /:pipeline_id
- /actions
- /:action_id
Update Sentry Self-Hosted action configuration
Warning
You can't change the type of an existing action. To change the type, remove the action and add it again.
Request example
curl -X PATCH "https://api.buddy.works/workspaces/:workspace/projects/:project_name/pipelines/:pipeline_id/actions/:action_id" \
-H "Authorization: Bearer <YOUR-TOKEN>" \
-H "Content-Type: application/json" \
-d '{
"name": "Sentry Enterprise Action",
"type": "SENTRY_ENTERPRISE",
"trigger_time": "ON_EVERY_EXECUTION",
"organization_slug": "buddyworks",
"version": "${BUDDY_RUN_COMMIT}",
"environment": "linux",
"release_url": "${BUDDY_RUN_COMMIT_URL}",
"deploy_url": "${BUDDY_RUN_URL}",
"repository": "$BUDDY_REPO_SLUG",
"projects": [
"java",
"my_proj"
],
"integration": {
"identifier": "sentry-enterprise"
}
}'STATUS200 OK